Package com.xebialabs.xlrelease.domain

# Class Datacenter

java.lang.Object
com.xebialabs.xlrelease.domain.Datacenter

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class Datacenter extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Datacenter(String title, DatacenterTargetState targetState, String updatedBy, Instant updatedDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Datacenter`
  `apply(String title, DatacenterTargetState targetState, String updatedBy, Instant updatedDate)`
  `boolean`
  `canEqual(Object x$1)`
  `Datacenter`
  `copy(String title, DatacenterTargetState targetState, String updatedBy, Instant updatedDate)`
  `String`
  `copy$default$1()`
  `DatacenterTargetState`
  `copy$default$2()`
  `String`
  `copy$default$3()`
  `Instant`
  `copy$default$4()`
  `boolean`
  `equals(Object x$1)`
  `DatacenterTargetState`
  `getTargetState()`
  `String`
  `getTitle()`
  `String`
  `getUpdatedBy()`
  `String`
  `getUpdatedByForApiResponse()`
  `Instant`
  `getUpdatedDate()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `DatacenterTargetState`
  `targetState()`
  `String`
  `title()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple4<String,DatacenterTargetState,String,Instant>>`
  `unapply(Datacenter x$0)`
  `String`
  `updatedBy()`
  `Instant`
  `updatedDate()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### Datacenter

    public Datacenter(String title, DatacenterTargetState targetState, String updatedBy, Instant updatedDate)

- ## Method Details

  - ### apply

    public static Datacenter apply(String title, DatacenterTargetState targetState, String updatedBy, Instant updatedDate)

  - ### unapply

    public static scala.Option<scala.Tuple4<String,DatacenterTargetState,String,Instant>> unapply(Datacenter x$0)

  - ### title

    public String title()

  - ### targetState

    public DatacenterTargetState targetState()

  - ### updatedBy

    public String updatedBy()

  - ### updatedDate

    public Instant updatedDate()

  - ### getUpdatedByForApiResponse

    public String getUpdatedByForApiResponse()

  - ### copy

    public Datacenter copy(String title, DatacenterTargetState targetState, String updatedBy, Instant updatedDate)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public DatacenterTargetState copy$default$2()

  - ### copy$default$3

    public String copy$default$3()

  - ### copy$default$4

    public Instant copy$default$4()

  - ### getTargetState

    public DatacenterTargetState getTargetState()

  - ### getTitle

    public String getTitle()

  - ### getUpdatedBy

    public String getUpdatedBy()

  - ### getUpdatedDate

    public Instant getUpdatedDate()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`